# RPM specfile for gal module
# Generated Wed Nov  5 20:18:42 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from 

%define nam	gal
%define ver	1.99.10
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	libgal2.0_5
Version: 	1.99.10
Release:	0.ximian.8.2
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for SuSE Linux 9.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.ximian.com/tech/
Source0:	gal-1.99.10.tar.gz
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	esound-devel
BuildRequires:	audiofile-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnomecanvas-devel >= 2.2.0.2
BuildRequires:	libxml2-devel
BuildRequires:	atk-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	freetype2-devel
BuildRequires:	pango-devel
BuildRequires:	libgnomeprint-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	zlib-devel
BuildRequires:	libgnome-devel
BuildRequires:	pango-devel
BuildRequires:	orbit2-devel
BuildRequires:	libidl-devel
BuildRequires:	linc-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	libbonobo-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	gconf2-devel
BuildRequires:	bonobo-activation-devel
BuildRequires:	XFree86-devel
Summary:	The GNOME Application Library
Group:		Libraries/System
Provides:	ximian-libgal2.0_5 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgal2.0-modules
Obsoletes:	libgal2.0_2
Obsoletes:	libgal2.0_1
Obsoletes:	libgal2.0_0
Obsoletes:	gal2.0
Obsoletes:	gal2-0
Obsoletes:	gal2

%description
A collection of GNOME widgets and utility functions.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog INSTALL NEWS
%dir /opt/gnome/share/gal-2.0
/opt/gnome/share/gal-2.0/1.99.10
/opt/gnome/lib/lib*.so.5*
/opt/gnome/*/locale/*/LC_MESSAGES/*.mo


%post
ldconfig

%postun
ldconfig

%package -n libgal2.0-devel
Summary:	Development files for the GNOME Applications library
Group:		Development/Libraries
Requires:	libgal2.0_5 = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	pkgconfig
Requires:	popt-devel
Requires:	esound-devel
Requires:	audiofile-devel
Requires:	libglade2-devel
Requires:	libgnomecanvas-devel >= 2.2.0.2
Requires:	libxml2-devel
Requires:	atk-devel
Requires:	glib2-devel
Requires:	gtk2-devel
Requires:	freetype2-devel
Requires:	pango-devel
Requires:	libgnomeprint-devel
Requires:	libgnomeprintui-devel
Requires:	zlib-devel
Requires:	libgnome-devel
Requires:	pango-devel
Requires:	orbit2-devel
Requires:	libidl-devel
Requires:	linc-devel
Requires:	libbonoboui-devel
Requires:	libbonobo-devel
Requires:	gnome-vfs2-devel
Requires:	libgnomeui-devel
Requires:	gconf2-devel
Requires:	bonobo-activation-devel
Requires:	XFree86-devel
Provides:	ximian-libgal2.0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gal2.0-devel
Obsoletes:	gal2-devel

%description -n libgal2.0-devel
Development files for the GNOME Applications library

%files -n libgal2.0-devel
%defattr(-, root, root)
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/pkgconfig/*.pc
/opt/gnome/include/*
/opt/gnome/share/gal-2.0/html


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gal-1.99.10
    ;;
all)
%setup  -q -n gal-1.99.10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/opt/gnome --sysconfdir=/etc/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 5 2003 Ximian, Inc.

- Version: 1.99.10-0.ximian.8.2
- Summary: New build.
- New automated build.

